package speiger.src.coreengine.math.collision2d;

import speiger.src.coreengine.math.bits.BitUtil;
import speiger.src.coreengine.math.vector.ints.Vec2i;

public interface I2DCollision extends Iterable<Vec2i>
{
	public default boolean isMixedCollision() {return false;}
	public default boolean isColliding(int position){return isColliding(BitUtil.shortKey(position), BitUtil.shortValue(position));}
	public default boolean isColliding(Vec2i pos){return isColliding(pos.x(), pos.y());}
	public boolean isColliding(int x, int y);
}
